<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	      <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li>Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="8118pt" height="360pt"
 viewBox="0.00 0.00 8118.00 360.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 356)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-356 8114,-356 8114,4 -4,4"/>
<text text-anchor="start" x="4034.0091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="3821,-10 3821,-30 3841,-30 3841,-10 3821,-10"/>
<text text-anchor="start" x="3844.629" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="3934,-10 3934,-30 3954,-30 3954,-10 3934,-10"/>
<text text-anchor="start" x="3957.7251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="4020,-10 4020,-30 4040,-30 4040,-10 4020,-10"/>
<text text-anchor="start" x="4043.7812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="4117,-10 4117,-30 4137,-30 4137,-10 4117,-10"/>
<text text-anchor="start" x="4140.6732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="4213,-10 4213,-30 4233,-30 4233,-10 4213,-10"/>
<text text-anchor="start" x="4236.7258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="3315,-146 3315,-344 7716,-344 7716,-146 3315,-146"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="#000000" points="4174,-154 4174,-206 7708,-206 7708,-154 4174,-154"/>
</g>
<g id="clust23" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="#000000" points="3917,-154 3917,-206 4166,-206 4166,-154 3917,-154"/>
</g>
<g id="clust24" class="cluster">
<title>cluster_AppModule_exports</title>
<polygon fill="none" stroke="#000000" points="5462,-284 5462,-336 5568,-336 5568,-284 5462,-284"/>
</g>
<g id="clust25" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="#000000" points="5576,-284 5576,-336 5700,-336 5700,-284 5576,-284"/>
</g>
<g id="clust26" class="cluster">
<title>cluster_AppModule_providers</title>
<polygon fill="none" stroke="#000000" points="3323,-154 3323,-206 3909,-206 3909,-154 3323,-154"/>
</g>
<g id="clust33" class="cluster">
<title>cluster_CoreModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-138 8102,-138 8102,-70 8,-70"/>
</g>
<g id="clust34" class="cluster">
<title>cluster_CoreModule_declarations</title>
<polygon fill="none" stroke="#000000" points="5000,-78 5000,-130 8094,-130 8094,-78 5000,-78"/>
</g>
<g id="clust51" class="cluster">
<title>cluster_CoreModule_exports</title>
<polygon fill="none" stroke="#000000" points="2292,-78 2292,-130 4992,-130 4992,-78 2292,-78"/>
</g>
<g id="clust53" class="cluster">
<title>cluster_CoreModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 2284,-130 2284,-78 16,-78"/>
</g>
<!-- AppComponent -->
<g id="node1" class="node">
<title>AppComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7699.9399,-198 7594.0601,-198 7594.0601,-162 7699.9399,-162 7699.9399,-198"/>
<text text-anchor="middle" x="7647" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppComponent</text>
</g>
<!-- AppModule -->
<g id="node21" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="5617.6571,-263 5614.6571,-267 5593.6571,-267 5590.6571,-263 5534.3429,-263 5534.3429,-227 5617.6571,-227 5617.6571,-263"/>
<text text-anchor="middle" x="5576" y="-240.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppModule</text>
</g>
<!-- AppComponent&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AppComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M7647,-198.3802C7647,-222.2785 7647,-261 7647,-261 7647,-261 5627.837,-261 5627.837,-261"/>
<polygon fill="#000000" stroke="#000000" points="5627.837,-257.5001 5617.837,-261 5627.837,-264.5001 5627.837,-257.5001"/>
</g>
<!-- BallotsListComponent -->
<g id="node2" class="node">
<title>BallotsListComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7576.2786,-198 7433.7214,-198 7433.7214,-162 7576.2786,-162 7576.2786,-198"/>
<text text-anchor="middle" x="7505" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">BallotsListComponent</text>
</g>
<!-- BallotsListComponent&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>BallotsListComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M7505,-198.0908C7505,-221.1328 7505,-258 7505,-258 7505,-258 5628.0839,-258 5628.0839,-258"/>
<polygon fill="#000000" stroke="#000000" points="5628.0839,-254.5001 5618.0839,-258 5628.0838,-261.5001 5628.0839,-254.5001"/>
</g>
<!-- ControlComponent -->
<g id="node3" class="node">
<title>ControlComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7416.1108,-198 7291.8892,-198 7291.8892,-162 7416.1108,-162 7416.1108,-198"/>
<text text-anchor="middle" x="7354" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">ControlComponent</text>
</g>
<!-- ControlComponent&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>ControlComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M7354,-198.1554C7354,-220.3519 7354,-255 7354,-255 7354,-255 5627.7639,-255 5627.7639,-255"/>
<polygon fill="#000000" stroke="#000000" points="5627.7639,-251.5001 5617.7639,-255 5627.7639,-258.5001 5627.7639,-251.5001"/>
</g>
<!-- ErrorMessageComponent -->
<g id="node4" class="node">
<title>ErrorMessageComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7273.8445,-198 7114.1555,-198 7114.1555,-162 7273.8445,-162 7273.8445,-198"/>
<text text-anchor="middle" x="7194" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">ErrorMessageComponent</text>
</g>
<!-- ErrorMessageComponent&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>ErrorMessageComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M7194,-198.1686C7194,-219.498 7194,-252 7194,-252 7194,-252 5628.0329,-252 5628.0329,-252"/>
<polygon fill="#000000" stroke="#000000" points="5628.0329,-248.5001 5618.0329,-252 5628.0328,-255.5001 5628.0329,-248.5001"/>
</g>
<!-- FinalizationComponent -->
<g id="node5" class="node">
<title>FinalizationComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7096.212,-198 6947.788,-198 6947.788,-162 7096.212,-162 7096.212,-198"/>
<text text-anchor="middle" x="7022" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">FinalizationComponent</text>
</g>
<!-- FinalizationComponent&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>FinalizationComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M7022,-198.0267C7022,-218.7672 7022,-250 7022,-250 7022,-250 5627.7165,-250 5627.7165,-250"/>
<polygon fill="#000000" stroke="#000000" points="5627.7166,-246.5001 5617.7165,-250 5627.7165,-253.5001 5627.7166,-246.5001"/>
</g>
<!-- FooterDocumentsComponent -->
<g id="node6" class="node">
<title>FooterDocumentsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6929.6428,-198 6748.3572,-198 6748.3572,-162 6929.6428,-162 6929.6428,-198"/>
<text text-anchor="middle" x="6839" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">FooterDocumentsComponent</text>
</g>
<!-- FooterDocumentsComponent&#45;&gt;AppModule -->
<g id="edge6" class="edge">
<title>FooterDocumentsComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M6839,-198.308C6839,-218.1455 6839,-247 6839,-247 6839,-247 5627.6625,-247 5627.6625,-247"/>
<polygon fill="#000000" stroke="#000000" points="5627.6626,-243.5001 5617.6625,-247 5627.6625,-250.5001 5627.6626,-243.5001"/>
</g>
<!-- FooterZoneComponent -->
<g id="node7" class="node">
<title>FooterZoneComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6730.1484,-198 6583.8516,-198 6583.8516,-162 6730.1484,-162 6730.1484,-198"/>
<text text-anchor="middle" x="6657" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">FooterZoneComponent</text>
</g>
<!-- FooterZoneComponent&#45;&gt;AppModule -->
<g id="edge7" class="edge">
<title>FooterZoneComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M6657,-198.1686C6657,-217.0898 6657,-244 6657,-244 6657,-244 5627.7141,-244 5627.7141,-244"/>
<polygon fill="#000000" stroke="#000000" points="5627.7141,-240.5001 5617.7141,-244 5627.7141,-247.5001 5627.7141,-240.5001"/>
</g>
<!-- GroupedVotationCardComponent -->
<g id="node8" class="node">
<title>GroupedVotationCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6565.0196,-198 6358.9804,-198 6358.9804,-162 6565.0196,-162 6565.0196,-198"/>
<text text-anchor="middle" x="6462" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">GroupedVotationCardComponent</text>
</g>
<!-- GroupedVotationCardComponent&#45;&gt;AppModule -->
<g id="edge8" class="edge">
<title>GroupedVotationCardComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M6462,-198.302C6462,-216.2699 6462,-241 6462,-241 6462,-241 5627.8409,-241 5627.8409,-241"/>
<polygon fill="#000000" stroke="#000000" points="5627.841,-237.5001 5617.8409,-241 5627.8409,-244.5001 5627.841,-237.5001"/>
</g>
<!-- HeaderZoneComponent -->
<g id="node9" class="node">
<title>HeaderZoneComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6340.0114,-198 6189.9886,-198 6189.9886,-162 6340.0114,-162 6340.0114,-198"/>
<text text-anchor="middle" x="6265" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">HeaderZoneComponent</text>
</g>
<!-- HeaderZoneComponent&#45;&gt;AppModule -->
<g id="edge9" class="edge">
<title>HeaderZoneComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M6265,-198.0225C6265,-215.3734 6265,-239 6265,-239 6265,-239 5627.8053,-239 5627.8053,-239"/>
<polygon fill="#000000" stroke="#000000" points="5627.8053,-235.5001 5617.8053,-239 5627.8053,-242.5001 5627.8053,-235.5001"/>
</g>
<!-- IdentificationComponent -->
<g id="node10" class="node">
<title>IdentificationComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6171.2506,-198 6014.7494,-198 6014.7494,-162 6171.2506,-162 6171.2506,-198"/>
<text text-anchor="middle" x="6093" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">IdentificationComponent</text>
</g>
<!-- IdentificationComponent&#45;&gt;AppModule -->
<g id="edge10" class="edge">
<title>IdentificationComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M6093,-198.027C6093,-214.3976 6093,-236 6093,-236 6093,-236 5627.8703,-236 5627.8703,-236"/>
<polygon fill="#000000" stroke="#000000" points="5627.8704,-232.5001 5617.8703,-236 5627.8703,-239.5001 5627.8704,-232.5001"/>
</g>
<!-- LegalInformationComponent -->
<g id="node11" class="node">
<title>LegalInformationComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5997.073,-198 5816.927,-198 5816.927,-162 5997.073,-162 5997.073,-198"/>
<text text-anchor="middle" x="5907" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">LegalInformationComponent</text>
</g>
<!-- LegalInformationComponent&#45;&gt;AppModule -->
<g id="edge11" class="edge">
<title>LegalInformationComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M5907,-198.2396C5907,-213.5706 5907,-233 5907,-233 5907,-233 5627.9214,-233 5627.9214,-233"/>
<polygon fill="#000000" stroke="#000000" points="5627.9214,-229.5001 5617.9214,-233 5627.9213,-236.5001 5627.9214,-229.5001"/>
</g>
<!-- OperationComponent -->
<g id="node12" class="node">
<title>OperationComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5798.8104,-198 5661.1896,-198 5661.1896,-162 5798.8104,-162 5798.8104,-198"/>
<text text-anchor="middle" x="5730" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationComponent</text>
</g>
<!-- OperationComponent&#45;&gt;AppModule -->
<g id="edge12" class="edge">
<title>OperationComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M5676.9073,-198.0511C5676.9073,-212.373 5676.9073,-230 5676.9073,-230 5676.9073,-230 5627.9171,-230 5627.9171,-230"/>
<polygon fill="#000000" stroke="#000000" points="5627.9172,-226.5001 5617.9171,-230 5627.9171,-233.5001 5627.9172,-226.5001"/>
</g>
<!-- SideZoneComponent -->
<g id="node13" class="node">
<title>SideZoneComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5643.4874,-198 5508.5126,-198 5508.5126,-162 5643.4874,-162 5643.4874,-198"/>
<text text-anchor="middle" x="5576" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">SideZoneComponent</text>
</g>
<!-- SideZoneComponent&#45;&gt;AppModule -->
<g id="edge13" class="edge">
<title>SideZoneComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M5576,-198.1061C5576,-198.1061 5576,-216.991 5576,-216.991"/>
<polygon fill="#000000" stroke="#000000" points="5572.5001,-216.9909 5576,-226.991 5579.5001,-216.991 5572.5001,-216.9909"/>
</g>
<!-- SideZoneSectionComponent -->
<g id="node14" class="node">
<title>SideZoneSectionComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5490.4804,-198 5313.5196,-198 5313.5196,-162 5490.4804,-162 5490.4804,-198"/>
<text text-anchor="middle" x="5402" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">SideZoneSectionComponent</text>
</g>
<!-- SideZoneSectionComponent&#45;&gt;AppModule -->
<g id="edge14" class="edge">
<title>SideZoneSectionComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M5480.1797,-198.0511C5480.1797,-212.373 5480.1797,-230 5480.1797,-230 5480.1797,-230 5524.2506,-230 5524.2506,-230"/>
<polygon fill="#000000" stroke="#000000" points="5524.2506,-233.5001 5534.2506,-230 5524.2505,-226.5001 5524.2506,-233.5001"/>
</g>
<!-- SingleBallotCardComponent -->
<g id="node15" class="node">
<title>SingleBallotCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5295.0462,-198 5116.9538,-198 5116.9538,-162 5295.0462,-162 5295.0462,-198"/>
<text text-anchor="middle" x="5206" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">SingleBallotCardComponent</text>
</g>
<!-- SingleBallotCardComponent&#45;&gt;AppModule -->
<g id="edge15" class="edge">
<title>SingleBallotCardComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M5206,-198.2396C5206,-213.5706 5206,-233 5206,-233 5206,-233 5524.2755,-233 5524.2755,-233"/>
<polygon fill="#000000" stroke="#000000" points="5524.2756,-236.5001 5534.2755,-233 5524.2755,-229.5001 5524.2756,-236.5001"/>
</g>
<!-- SummaryComponent -->
<g id="node16" class="node">
<title>SummaryComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5098.7716,-198 4963.2284,-198 4963.2284,-162 5098.7716,-162 5098.7716,-198"/>
<text text-anchor="middle" x="5031" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">SummaryComponent</text>
</g>
<!-- SummaryComponent&#45;&gt;AppModule -->
<g id="edge16" class="edge">
<title>SummaryComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M5031,-198.027C5031,-214.3976 5031,-236 5031,-236 5031,-236 5524.1397,-236 5524.1397,-236"/>
<polygon fill="#000000" stroke="#000000" points="5524.1397,-239.5001 5534.1397,-236 5524.1397,-232.5001 5524.1397,-239.5001"/>
</g>
<!-- VotationBallotComponent -->
<g id="node17" class="node">
<title>VotationBallotComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="4945.049,-198 4780.951,-198 4780.951,-162 4945.049,-162 4945.049,-198"/>
<text text-anchor="middle" x="4863" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotationBallotComponent</text>
</g>
<!-- VotationBallotComponent&#45;&gt;AppModule -->
<g id="edge17" class="edge">
<title>VotationBallotComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M4863,-198.0225C4863,-215.3734 4863,-239 4863,-239 4863,-239 5524.3227,-239 5524.3227,-239"/>
<polygon fill="#000000" stroke="#000000" points="5524.3228,-242.5001 5534.3227,-239 5524.3227,-235.5001 5524.3228,-242.5001"/>
</g>
<!-- VotationCardComponent -->
<g id="node18" class="node">
<title>VotationCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="4762.5379,-198 4605.4621,-198 4605.4621,-162 4762.5379,-162 4762.5379,-198"/>
<text text-anchor="middle" x="4684" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotationCardComponent</text>
</g>
<!-- VotationCardComponent&#45;&gt;AppModule -->
<g id="edge18" class="edge">
<title>VotationCardComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M4684,-198.302C4684,-216.2699 4684,-241 4684,-241 4684,-241 5524.1734,-241 5524.1734,-241"/>
<polygon fill="#000000" stroke="#000000" points="5524.1734,-244.5001 5534.1734,-241 5524.1734,-237.5001 5524.1734,-244.5001"/>
</g>
<!-- VoteWorkflowStepComponent -->
<g id="node19" class="node">
<title>VoteWorkflowStepComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="4587.465,-198 4396.535,-198 4396.535,-162 4587.465,-162 4587.465,-198"/>
<text text-anchor="middle" x="4492" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">VoteWorkflowStepComponent</text>
</g>
<!-- VoteWorkflowStepComponent&#45;&gt;AppModule -->
<g id="edge19" class="edge">
<title>VoteWorkflowStepComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M4492,-198.1686C4492,-217.0898 4492,-244 4492,-244 4492,-244 5524.1701,-244 5524.1701,-244"/>
<polygon fill="#000000" stroke="#000000" points="5524.1702,-247.5001 5534.1701,-244 5524.1701,-240.5001 5524.1702,-247.5001"/>
</g>
<!-- VoteWorkflowViewComponent -->
<g id="node20" class="node">
<title>VoteWorkflowViewComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="4378.396,-198 4181.604,-198 4181.604,-162 4378.396,-162 4378.396,-198"/>
<text text-anchor="middle" x="4280" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">VoteWorkflowViewComponent</text>
</g>
<!-- VoteWorkflowViewComponent&#45;&gt;AppModule -->
<g id="edge20" class="edge">
<title>VoteWorkflowViewComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M4280,-198.308C4280,-218.1455 4280,-247 4280,-247 4280,-247 5523.9828,-247 5523.9828,-247"/>
<polygon fill="#000000" stroke="#000000" points="5523.9829,-250.5001 5533.9828,-247 5523.9828,-243.5001 5523.9829,-250.5001"/>
</g>
<!-- CoreModule  -->
<g id="node24" class="node">
<title>CoreModule </title>
<polygon fill="#fb8072" stroke="#000000" points="5560.262,-328 5469.738,-328 5469.738,-292 5560.262,-292 5560.262,-328"/>
<text text-anchor="middle" x="5515" y="-305.8" font-family="Times,serif" font-size="14.00" fill="#000000">CoreModule </text>
</g>
<!-- AppModule&#45;&gt;CoreModule  -->
<g id="edge23" class="edge">
<title>AppModule&#45;&gt;CoreModule </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M5547.1513,-263.1061C5547.1513,-263.1061 5547.1513,-281.991 5547.1513,-281.991"/>
<polygon fill="#000000" stroke="#000000" points="5543.6514,-281.9909 5547.1513,-291.991 5550.6514,-281.991 5543.6514,-281.9909"/>
</g>
<!-- AppComponent  -->
<g id="node25" class="node">
<title>AppComponent </title>
<polygon fill="#80b1d3" stroke="#000000" points="5692.439,-328 5583.561,-328 5583.561,-292 5692.439,-292 5692.439,-328"/>
<text text-anchor="middle" x="5638" y="-305.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppComponent </text>
</g>
<!-- AppModule&#45;&gt;AppComponent  -->
<g id="edge24" class="edge">
<title>AppModule&#45;&gt;AppComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="1,5" d="M5600.6794,-263.1061C5600.6794,-263.1061 5600.6794,-281.991 5600.6794,-281.991"/>
<polygon fill="#000000" stroke="#000000" points="5597.1794,-281.9909 5600.6794,-291.991 5604.1794,-281.991 5597.1794,-281.9909"/>
</g>
<!-- AppRoutingModule -->
<g id="node22" class="node">
<title>AppRoutingModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="4158.2744,-198 4155.2744,-202 4134.2744,-202 4131.2744,-198 4029.7256,-198 4029.7256,-162 4158.2744,-162 4158.2744,-198"/>
<text text-anchor="middle" x="4094" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppRoutingModule</text>
</g>
<!-- AppRoutingModule&#45;&gt;AppModule -->
<g id="edge21" class="edge">
<title>AppRoutingModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M4094,-198.0267C4094,-218.7672 4094,-250 4094,-250 4094,-250 5524.0339,-250 5524.0339,-250"/>
<polygon fill="#000000" stroke="#000000" points="5524.0339,-253.5001 5534.0339,-250 5524.0338,-246.5001 5524.0339,-253.5001"/>
</g>
<!-- CoreModule -->
<g id="node23" class="node">
<title>CoreModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="4011.2619,-198 4008.2619,-202 3987.2619,-202 3984.2619,-198 3924.7381,-198 3924.7381,-162 4011.2619,-162 4011.2619,-198"/>
<text text-anchor="middle" x="3968" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">CoreModule</text>
</g>
<!-- CoreModule&#45;&gt;AppModule -->
<g id="edge22" class="edge">
<title>CoreModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M3968,-198.1686C3968,-219.498 3968,-252 3968,-252 3968,-252 5524.2269,-252 5524.2269,-252"/>
<polygon fill="#000000" stroke="#000000" points="5524.227,-255.5001 5534.2269,-252 5524.2269,-248.5001 5524.227,-255.5001"/>
</g>
<!-- ActionsOnBallotsComponent  -->
<g id="node44" class="node">
<title>ActionsOnBallotsComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="4983.6537,-122 4798.3463,-122 4798.3463,-86 4983.6537,-86 4983.6537,-122"/>
<text text-anchor="middle" x="4891" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ActionsOnBallotsComponent </text>
</g>
<!-- CoreModule&#45;&gt;ActionsOnBallotsComponent  -->
<g id="edge43" class="edge">
<title>CoreModule&#45;&gt;ActionsOnBallotsComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M4009.3759,-161.8408C4009.3759,-156.9567 4009.3759,-153 4009.3759,-153 4009.3759,-153 4871.8487,-153 4871.8487,-153 4871.8487,-153 4871.8487,-132.2458 4871.8487,-132.2458"/>
<polygon fill="#000000" stroke="#000000" points="4875.3488,-132.2458 4871.8487,-122.2458 4868.3488,-132.2458 4875.3488,-132.2458"/>
</g>
<!-- ChvoteBallotHeaderComponent  -->
<g id="node45" class="node">
<title>ChvoteBallotHeaderComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="4779.9082,-122 4580.0918,-122 4580.0918,-86 4779.9082,-86 4779.9082,-122"/>
<text text-anchor="middle" x="4680" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteBallotHeaderComponent </text>
</g>
<!-- CoreModule&#45;&gt;ChvoteBallotHeaderComponent  -->
<g id="edge44" class="edge">
<title>CoreModule&#45;&gt;ChvoteBallotHeaderComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M4007.3709,-161.793C4007.3709,-156.4451 4007.3709,-152 4007.3709,-152 4007.3709,-152 4583.7642,-152 4583.7642,-152 4583.7642,-152 4583.7642,-132.1467 4583.7642,-132.1467"/>
<polygon fill="#000000" stroke="#000000" points="4587.2643,-132.1467 4583.7642,-122.1467 4580.2643,-132.1468 4587.2643,-132.1467"/>
</g>
<!-- ChvoteCheckboxComponent  -->
<g id="node46" class="node">
<title>ChvoteCheckboxComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="4562.04,-122 4379.96,-122 4379.96,-86 4562.04,-86 4562.04,-122"/>
<text text-anchor="middle" x="4471" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteCheckboxComponent </text>
</g>
<!-- CoreModule&#45;&gt;ChvoteCheckboxComponent  -->
<g id="edge45" class="edge">
<title>CoreModule&#45;&gt;ChvoteCheckboxComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M4005.366,-161.7985C4005.366,-155.972 4005.366,-151 4005.366,-151 4005.366,-151 4388.2488,-151 4388.2488,-151 4388.2488,-151 4388.2488,-132.037 4388.2488,-132.037"/>
<polygon fill="#000000" stroke="#000000" points="4391.7488,-132.037 4388.2488,-122.037 4384.7488,-132.037 4391.7488,-132.037"/>
</g>
<!-- ChvoteCoatOfArmsComponent  -->
<g id="node47" class="node">
<title>ChvoteCoatOfArmsComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="4361.586,-122 4164.414,-122 4164.414,-86 4361.586,-86 4361.586,-122"/>
<text text-anchor="middle" x="4263" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteCoatOfArmsComponent </text>
</g>
<!-- CoreModule&#45;&gt;ChvoteCoatOfArmsComponent  -->
<g id="edge46" class="edge">
<title>CoreModule&#45;&gt;ChvoteCoatOfArmsComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M4003.3611,-161.8568C4003.3611,-155.5389 4003.3611,-150 4003.3611,-150 4003.3611,-150 4173.0047,-150 4173.0047,-150 4173.0047,-150 4173.0047,-132.1804 4173.0047,-132.1804"/>
<polygon fill="#000000" stroke="#000000" points="4176.5048,-132.1804 4173.0047,-122.1804 4169.5048,-132.1805 4176.5048,-132.1804"/>
</g>
<!-- ChvoteDialogComponent  -->
<g id="node48" class="node">
<title>ChvoteDialogComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="4146.877,-122 3983.123,-122 3983.123,-86 4146.877,-86 4146.877,-122"/>
<text text-anchor="middle" x="4065" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteDialogComponent </text>
</g>
<!-- CoreModule&#45;&gt;ChvoteDialogComponent  -->
<g id="edge47" class="edge">
<title>CoreModule&#45;&gt;ChvoteDialogComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M3985.3166,-161.9891C3985.3166,-161.9891 3985.3166,-132.145 3985.3166,-132.145"/>
<polygon fill="#000000" stroke="#000000" points="3988.8167,-132.145 3985.3166,-122.145 3981.8167,-132.1451 3988.8167,-132.145"/>
</g>
<!-- ChvoteDocumentsComponent  -->
<g id="node49" class="node">
<title>ChvoteDocumentsComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="3965.5358,-122 3776.4642,-122 3776.4642,-86 3965.5358,-86 3965.5358,-122"/>
<text text-anchor="middle" x="3871" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteDocumentsComponent </text>
</g>
<!-- CoreModule&#45;&gt;ChvoteDocumentsComponent  -->
<g id="edge48" class="edge">
<title>CoreModule&#45;&gt;ChvoteDocumentsComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M3963.473,-161.9891C3963.473,-161.9891 3963.473,-132.145 3963.473,-132.145"/>
<polygon fill="#000000" stroke="#000000" points="3966.9731,-132.145 3963.473,-122.145 3959.9731,-132.1451 3966.9731,-132.145"/>
</g>
<!-- ChvoteExpansionPanelComponent  -->
<g id="node50" class="node">
<title>ChvoteExpansionPanelComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="3758.9795,-122 3543.0205,-122 3543.0205,-86 3758.9795,-86 3758.9795,-122"/>
<text text-anchor="middle" x="3651" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteExpansionPanelComponent </text>
</g>
<!-- CoreModule&#45;&gt;ChvoteExpansionPanelComponent  -->
<g id="edge49" class="edge">
<title>CoreModule&#45;&gt;ChvoteExpansionPanelComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M3961.428,-161.8533C3961.428,-148.2605 3961.428,-132 3961.428,-132 3961.428,-132 3733.7132,-132 3733.7132,-132 3733.7132,-132 3733.7132,-131.0207 3733.7132,-131.0207"/>
<polygon fill="#000000" stroke="#000000" points="3737.2133,-132.2069 3733.7132,-122.207 3730.2133,-132.207 3737.2133,-132.2069"/>
</g>
<!-- ChvoteHelperComponent  -->
<g id="node51" class="node">
<title>ChvoteHelperComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="3525.8616,-122 3362.1384,-122 3362.1384,-86 3525.8616,-86 3525.8616,-122"/>
<text text-anchor="middle" x="3444" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteHelperComponent </text>
</g>
<!-- CoreModule&#45;&gt;ChvoteHelperComponent  -->
<g id="edge50" class="edge">
<title>CoreModule&#45;&gt;ChvoteHelperComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M3959.3831,-161.963C3959.3831,-148.7087 3959.3831,-133 3959.3831,-133 3959.3831,-133 3516.3334,-133 3516.3334,-133 3516.3334,-133 3516.3334,-131.9201 3516.3334,-131.9201"/>
<polygon fill="#000000" stroke="#000000" points="3519.8335,-132.2014 3516.3334,-122.2015 3512.8335,-132.2015 3519.8335,-132.2014"/>
</g>
<!-- ChvoteSubjectCardComponent  -->
<g id="node52" class="node">
<title>ChvoteSubjectCardComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="3344.4796,-122 3149.5204,-122 3149.5204,-86 3344.4796,-86 3344.4796,-122"/>
<text text-anchor="middle" x="3247" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteSubjectCardComponent </text>
</g>
<!-- CoreModule&#45;&gt;ChvoteSubjectCardComponent  -->
<g id="edge51" class="edge">
<title>CoreModule&#45;&gt;ChvoteSubjectCardComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M3957.3382,-161.8196C3957.3382,-148.9618 3957.3382,-134 3957.3382,-134 3957.3382,-134 3337.8176,-134 3337.8176,-134 3337.8176,-134 3337.8176,-132.1432 3337.8176,-132.1432"/>
<polygon fill="#000000" stroke="#000000" points="3341.3177,-132.1432 3337.8176,-122.1432 3334.3177,-132.1432 3341.3177,-132.1432"/>
</g>
<!-- ChvoteVariantSubjectCardComponent  -->
<g id="node53" class="node">
<title>ChvoteVariantSubjectCardComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="3132.457,-122 2895.543,-122 2895.543,-86 3132.457,-86 3132.457,-122"/>
<text text-anchor="middle" x="3014" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteVariantSubjectCardComponent </text>
</g>
<!-- CoreModule&#45;&gt;ChvoteVariantSubjectCardComponent  -->
<g id="edge52" class="edge">
<title>CoreModule&#45;&gt;ChvoteVariantSubjectCardComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M3955.2932,-161.9561C3955.2932,-149.4367 3955.2932,-135 3955.2932,-135 3955.2932,-135 3014,-135 3014,-135 3014,-135 3014,-132.0328 3014,-132.0328"/>
<polygon fill="#000000" stroke="#000000" points="3017.5001,-132.0328 3014,-122.0328 3010.5001,-132.0329 3017.5001,-132.0328"/>
</g>
<!-- ChvoteVotationBallotComponent  -->
<g id="node54" class="node">
<title>ChvoteVotationBallotComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="2878.4908,-122 2669.5092,-122 2669.5092,-86 2878.4908,-86 2878.4908,-122"/>
<text text-anchor="middle" x="2774" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteVotationBallotComponent </text>
</g>
<!-- CoreModule&#45;&gt;ChvoteVotationBallotComponent  -->
<g id="edge53" class="edge">
<title>CoreModule&#45;&gt;ChvoteVotationBallotComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M3953.2483,-161.8495C3953.2483,-149.7292 3953.2483,-136 3953.2483,-136 3953.2483,-136 2774,-136 2774,-136 2774,-136 2774,-132.2434 2774,-132.2434"/>
<polygon fill="#000000" stroke="#000000" points="2777.5001,-132.2434 2774,-122.2434 2770.5001,-132.2434 2777.5001,-132.2434"/>
</g>
<!-- DefaultErrorsComponent  -->
<g id="node55" class="node">
<title>DefaultErrorsComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="2651.7891,-122 2490.2109,-122 2490.2109,-86 2651.7891,-86 2651.7891,-122"/>
<text text-anchor="middle" x="2571" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DefaultErrorsComponent </text>
</g>
<!-- CoreModule&#45;&gt;DefaultErrorsComponent  -->
<g id="edge54" class="edge">
<title>CoreModule&#45;&gt;DefaultErrorsComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M3951.2034,-161.5146C3951.2034,-149.8601 3951.2034,-137 3951.2034,-137 3951.2034,-137 2571,-137 2571,-137 2571,-137 2571,-132.0449 2571,-132.0449"/>
<polygon fill="#000000" stroke="#000000" points="2574.5001,-132.0448 2571,-122.0449 2567.5001,-132.0449 2574.5001,-132.0448"/>
</g>
<!-- LocalizedLabelComponent  -->
<g id="node56" class="node">
<title>LocalizedLabelComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="2471.897,-122 2300.103,-122 2300.103,-86 2471.897,-86 2471.897,-122"/>
<text text-anchor="middle" x="2386" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">LocalizedLabelComponent </text>
</g>
<!-- CoreModule&#45;&gt;LocalizedLabelComponent  -->
<g id="edge55" class="edge">
<title>CoreModule&#45;&gt;LocalizedLabelComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M3949.1584,-161.9445C3949.1584,-150.561 3949.1584,-138 3949.1584,-138 3949.1584,-138 2386,-138 2386,-138 2386,-138 2386,-132.1944 2386,-132.1944"/>
<polygon fill="#000000" stroke="#000000" points="2389.5001,-132.1944 2386,-122.1944 2382.5001,-132.1945 2389.5001,-132.1944"/>
</g>
<!-- CurrentVotingService -->
<g id="node26" class="node">
<title>CurrentVotingService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="3805" cy="-180" rx="96.1266" ry="18"/>
<text text-anchor="middle" x="3805" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">CurrentVotingService</text>
</g>
<!-- CurrentVotingService&#45;&gt;AppModule -->
<g id="edge25" class="edge">
<title>CurrentVotingService&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M3805,-198.1554C3805,-220.3519 3805,-255 3805,-255 3805,-255 5523.969,-255 5523.969,-255"/>
<polygon fill="#000000" stroke="#000000" points="5523.969,-258.5001 5533.969,-255 5523.969,-251.5001 5523.969,-258.5001"/>
</g>
<!-- IdentificationService -->
<g id="node27" class="node">
<title>IdentificationService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="3599" cy="-180" rx="92.0277" ry="18"/>
<text text-anchor="middle" x="3599" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">IdentificationService</text>
</g>
<!-- IdentificationService&#45;&gt;AppModule -->
<g id="edge26" class="edge">
<title>IdentificationService&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M3599,-198.0908C3599,-221.1328 3599,-258 3599,-258 3599,-258 5524.2514,-258 5524.2514,-258"/>
<polygon fill="#000000" stroke="#000000" points="5524.2514,-261.5001 5534.2514,-258 5524.2514,-254.5001 5524.2514,-261.5001"/>
</g>
<!-- OperationService -->
<g id="node28" class="node">
<title>OperationService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="3410" cy="-180" rx="78.7086" ry="18"/>
<text text-anchor="middle" x="3410" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationService</text>
</g>
<!-- OperationService&#45;&gt;AppModule -->
<g id="edge27" class="edge">
<title>OperationService&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M3410,-198.3802C3410,-222.2785 3410,-261 3410,-261 3410,-261 5524.1863,-261 5524.1863,-261"/>
<polygon fill="#000000" stroke="#000000" points="5524.1863,-264.5001 5534.1863,-261 5524.1862,-257.5001 5524.1863,-264.5001"/>
</g>
<!-- ActionsOnBallotsComponent -->
<g id="node29" class="node">
<title>ActionsOnBallotsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="8085.6539,-122 7904.3461,-122 7904.3461,-86 8085.6539,-86 8085.6539,-122"/>
<text text-anchor="middle" x="7995" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ActionsOnBallotsComponent</text>
</g>
<!-- ActionsOnBallotsComponent&#45;&gt;CoreModule -->
<g id="edge28" class="edge">
<title>ActionsOnBallotsComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M7995,-122.1592C7995,-127.0433 7995,-131 7995,-131 7995,-131 3981.3346,-131 3981.3346,-131 3981.3346,-131 3981.3346,-151.7542 3981.3346,-151.7542"/>
<polygon fill="#000000" stroke="#000000" points="3977.8347,-151.7542 3981.3346,-161.7542 3984.8347,-151.7542 3977.8347,-151.7542"/>
</g>
<!-- BusinessErrorDialogComponent -->
<g id="node30" class="node">
<title>BusinessErrorDialogComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7886.245,-122 7687.755,-122 7687.755,-86 7886.245,-86 7886.245,-122"/>
<text text-anchor="middle" x="7787" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">BusinessErrorDialogComponent</text>
</g>
<!-- BusinessErrorDialogComponent&#45;&gt;CoreModule -->
<g id="edge29" class="edge">
<title>BusinessErrorDialogComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M7693.6736,-122.0579C7693.6736,-126.4945 7693.6736,-130 7693.6736,-130 7693.6736,-130 3979.3575,-130 3979.3575,-130 3979.3575,-130 3979.3575,-151.9489 3979.3575,-151.9489"/>
<polygon fill="#000000" stroke="#000000" points="3975.8576,-151.9488 3979.3575,-161.9489 3982.8576,-151.9489 3975.8576,-151.9488"/>
</g>
<!-- ChvoteBallotHeaderComponent -->
<g id="node31" class="node">
<title>ChvoteBallotHeaderComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7669.4086,-122 7472.5914,-122 7472.5914,-86 7669.4086,-86 7669.4086,-122"/>
<text text-anchor="middle" x="7571" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteBallotHeaderComponent</text>
</g>
<!-- ChvoteBallotHeaderComponent&#45;&gt;CoreModule -->
<g id="edge30" class="edge">
<title>ChvoteBallotHeaderComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M7524.5926,-122.1686C7524.5926,-126.0459 7524.5926,-129 7524.5926,-129 7524.5926,-129 3977.3804,-129 3977.3804,-129 3977.3804,-129 3977.3804,-151.8757 3977.3804,-151.8757"/>
<polygon fill="#000000" stroke="#000000" points="3973.8805,-151.8757 3977.3804,-161.8757 3980.8805,-151.8757 3973.8805,-151.8757"/>
</g>
<!-- ChvoteCheckboxComponent -->
<g id="node32" class="node">
<title>ChvoteCheckboxComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7455.0406,-122 7276.9594,-122 7276.9594,-86 7455.0406,-86 7455.0406,-122"/>
<text text-anchor="middle" x="7366" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteCheckboxComponent</text>
</g>
<!-- ChvoteCheckboxComponent&#45;&gt;CoreModule -->
<g id="edge31" class="edge">
<title>ChvoteCheckboxComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M7284.3373,-122.1903C7284.3373,-125.5376 7284.3373,-128 7284.3373,-128 7284.3373,-128 3975.4033,-128 3975.4033,-128 3975.4033,-128 3975.4033,-151.8129 3975.4033,-151.8129"/>
<polygon fill="#000000" stroke="#000000" points="3971.9034,-151.8129 3975.4033,-161.8129 3978.9034,-151.813 3971.9034,-151.8129"/>
</g>
<!-- ChvoteCoatOfArmsComponent -->
<g id="node33" class="node">
<title>ChvoteCoatOfArmsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7259.0856,-122 7064.9144,-122 7064.9144,-86 7259.0856,-86 7259.0856,-122"/>
<text text-anchor="middle" x="7162" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteCoatOfArmsComponent</text>
</g>
<!-- ChvoteCoatOfArmsComponent&#45;&gt;CoreModule -->
<g id="edge32" class="edge">
<title>ChvoteCoatOfArmsComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M7080.5316,-122.1223C7080.5316,-124.9729 7080.5316,-127 7080.5316,-127 7080.5316,-127 3973.4263,-127 3973.4263,-127 3973.4263,-127 3973.4263,-151.7604 3973.4263,-151.7604"/>
<polygon fill="#000000" stroke="#000000" points="3969.9264,-151.7604 3973.4263,-161.7604 3976.9264,-151.7604 3969.9264,-151.7604"/>
</g>
<!-- ChvoteDialogComponent -->
<g id="node34" class="node">
<title>ChvoteDialogComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7046.8766,-122 6887.1234,-122 6887.1234,-86 7046.8766,-86 7046.8766,-122"/>
<text text-anchor="middle" x="6967" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteDialogComponent</text>
</g>
<!-- ChvoteDialogComponent&#45;&gt;CoreModule -->
<g id="edge33" class="edge">
<title>ChvoteDialogComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M6908.4415,-122.1679C6908.4415,-124.4478 6908.4415,-126 6908.4415,-126 6908.4415,-126 3971.4492,-126 3971.4492,-126 3971.4492,-126 3971.4492,-151.7181 3971.4492,-151.7181"/>
<polygon fill="#000000" stroke="#000000" points="3967.9493,-151.718 3971.4492,-161.7181 3974.9493,-151.7181 3967.9493,-151.718"/>
</g>
<!-- ChvoteDocumentsComponent -->
<g id="node35" class="node">
<title>ChvoteDocumentsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6868.5364,-122 6683.4636,-122 6683.4636,-86 6868.5364,-86 6868.5364,-122"/>
<text text-anchor="middle" x="6776" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteDocumentsComponent</text>
</g>
<!-- ChvoteDocumentsComponent&#45;&gt;CoreModule -->
<g id="edge34" class="edge">
<title>ChvoteDocumentsComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M6706.7781,-122.08C6706.7781,-123.8464 6706.7781,-125 6706.7781,-125 6706.7781,-125 3969.4721,-125 3969.4721,-125 3969.4721,-125 3969.4721,-151.9909 3969.4721,-151.9909"/>
<polygon fill="#000000" stroke="#000000" points="3965.9722,-151.9909 3969.4721,-161.9909 3972.9722,-151.991 3965.9722,-151.9909"/>
</g>
<!-- ChvoteExpansionPanelComponent -->
<g id="node36" class="node">
<title>ChvoteExpansionPanelComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6664.979,-122 6453.021,-122 6453.021,-86 6664.979,-86 6664.979,-122"/>
<text text-anchor="middle" x="6559" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteExpansionPanelComponent</text>
</g>
<!-- ChvoteExpansionPanelComponent&#45;&gt;CoreModule -->
<g id="edge35" class="edge">
<title>ChvoteExpansionPanelComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M6509.135,-122.0352C6509.135,-138.7344 6509.135,-161 6509.135,-161 6509.135,-161 4001.3561,-161 4001.3561,-161 4001.3561,-161 4001.3561,-161.0816 4001.3561,-161.0816"/>
<polygon fill="#000000" stroke="#000000" points="3997.8575,-151.8159 4001.3561,-161.8164 4004.8575,-151.8169 3997.8575,-151.8159"/>
</g>
<!-- ChvoteHelperComponent -->
<g id="node37" class="node">
<title>ChvoteHelperComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6434.8613,-122 6275.1387,-122 6275.1387,-86 6434.8613,-86 6434.8613,-122"/>
<text text-anchor="middle" x="6355" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteHelperComponent</text>
</g>
<!-- ChvoteHelperComponent&#45;&gt;CoreModule -->
<g id="edge36" class="edge">
<title>ChvoteHelperComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M6307.6624,-122.027C6307.6624,-138.3976 6307.6624,-160 6307.6624,-160 6307.6624,-160 3999.3512,-160 3999.3512,-160 3999.3512,-160 3999.3512,-160.1846 3999.3512,-160.1846"/>
<polygon fill="#000000" stroke="#000000" points="3995.8518,-151.8455 3999.3512,-161.8457 4002.8518,-151.8459 3995.8518,-151.8455"/>
</g>
<!-- ChvoteSubjectCardComponent -->
<g id="node38" class="node">
<title>ChvoteSubjectCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6257.479,-122 6066.521,-122 6066.521,-86 6257.479,-86 6257.479,-122"/>
<text text-anchor="middle" x="6162" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteSubjectCardComponent</text>
</g>
<!-- ChvoteSubjectCardComponent&#45;&gt;CoreModule -->
<g id="edge37" class="edge">
<title>ChvoteSubjectCardComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M6118.9429,-122.0091C6118.9429,-138.0494 6118.9429,-159 6118.9429,-159 6118.9429,-159 3997.3463,-159 3997.3463,-159 3997.3463,-159 3997.3463,-159.292 3997.3463,-159.292"/>
<polygon fill="#000000" stroke="#000000" points="3993.8466,-151.9198 3997.3463,-161.92 4000.8466,-151.9201 3993.8466,-151.9198"/>
</g>
<!-- ChvoteVariantSubjectCardComponent -->
<g id="node39" class="node">
<title>ChvoteVariantSubjectCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6048.4566,-122 5815.5434,-122 5815.5434,-86 6048.4566,-86 6048.4566,-122"/>
<text text-anchor="middle" x="5932" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteVariantSubjectCardComponent</text>
</g>
<!-- ChvoteVariantSubjectCardComponent&#45;&gt;CoreModule -->
<g id="edge38" class="edge">
<title>ChvoteVariantSubjectCardComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M5907,-122.2819C5907,-137.9478 5907,-158 5907,-158 5907,-158 3995.3413,-158 3995.3413,-158 3995.3413,-158 3995.3413,-158.3832 3995.3413,-158.3832"/>
<polygon fill="#000000" stroke="#000000" points="3991.8416,-151.832 3995.3413,-161.8321 3998.8416,-151.8322 3991.8416,-151.832"/>
</g>
<!-- ChvoteVotationBallotComponent -->
<g id="node40" class="node">
<title>ChvoteVotationBallotComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5797.4902,-122 5592.5098,-122 5592.5098,-86 5797.4902,-86 5797.4902,-122"/>
<text text-anchor="middle" x="5695" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ChvoteVotationBallotComponent</text>
</g>
<!-- ChvoteVotationBallotComponent&#45;&gt;CoreModule -->
<g id="edge39" class="edge">
<title>ChvoteVotationBallotComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M5617.9993,-122.2396C5617.9993,-137.5706 5617.9993,-157 5617.9993,-157 5617.9993,-157 3993.3364,-157 3993.3364,-157 3993.3364,-157 3993.3364,-157.4878 3993.3364,-157.4878"/>
<polygon fill="#000000" stroke="#000000" points="3989.8366,-151.8776 3993.3364,-161.8777 3996.8366,-151.8778 3989.8366,-151.8776"/>
</g>
<!-- DefaultErrorsComponent -->
<g id="node41" class="node">
<title>DefaultErrorsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5574.2893,-122 5415.7107,-122 5415.7107,-86 5574.2893,-86 5574.2893,-122"/>
<text text-anchor="middle" x="5495" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DefaultErrorsComponent</text>
</g>
<!-- DefaultErrorsComponent&#45;&gt;CoreModule -->
<g id="edge40" class="edge">
<title>DefaultErrorsComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M5453.1729,-122.1871C5453.1729,-137.1824 5453.1729,-156 5453.1729,-156 5453.1729,-156 3991.3314,-156 3991.3314,-156 3991.3314,-156 3991.3314,-156.581 3991.3314,-156.581"/>
<polygon fill="#000000" stroke="#000000" points="3987.8316,-151.8097 3991.3314,-161.8097 3994.8316,-151.8098 3987.8316,-151.8097"/>
</g>
<!-- LocalizedLabelComponent -->
<g id="node42" class="node">
<title>LocalizedLabelComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5398.3975,-122 5229.6025,-122 5229.6025,-86 5398.3975,-86 5398.3975,-122"/>
<text text-anchor="middle" x="5314" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">LocalizedLabelComponent</text>
</g>
<!-- LocalizedLabelComponent&#45;&gt;CoreModule -->
<g id="edge41" class="edge">
<title>LocalizedLabelComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M5262.5372,-122.1243C5262.5372,-136.7832 5262.5372,-155 5262.5372,-155 5262.5372,-155 3989.3265,-155 3989.3265,-155 3989.3265,-155 3989.3265,-155.6831 3989.3265,-155.6831"/>
<polygon fill="#000000" stroke="#000000" points="3985.8267,-151.8313 3989.3265,-161.8314 3992.8267,-151.8314 3985.8267,-151.8313"/>
</g>
<!-- TechnicalErrorDialogComponent -->
<g id="node43" class="node">
<title>TechnicalErrorDialogComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5212.1615,-122 5007.8385,-122 5007.8385,-86 5212.1615,-86 5212.1615,-122"/>
<text text-anchor="middle" x="5110" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TechnicalErrorDialogComponent</text>
</g>
<!-- TechnicalErrorDialogComponent&#45;&gt;CoreModule -->
<g id="edge42" class="edge">
<title>TechnicalErrorDialogComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M5053.4025,-122.0511C5053.4025,-136.373 5053.4025,-154 5053.4025,-154 5053.4025,-154 3987.3216,-154 3987.3216,-154 3987.3216,-154 3987.3216,-154.7942 3987.3216,-154.7942"/>
<polygon fill="#000000" stroke="#000000" points="3983.8217,-151.9421 3987.3216,-161.9421 3990.8217,-151.9422 3983.8217,-151.9421"/>
</g>
<!-- AssetService -->
<g id="node57" class="node">
<title>AssetService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="2215" cy="-104" rx="61.3896" ry="18"/>
<text text-anchor="middle" x="2215" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AssetService</text>
</g>
<!-- AssetService&#45;&gt;CoreModule -->
<g id="edge56" class="edge">
<title>AssetService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M2215,-122.32C2215,-130.7883 2215,-139 2215,-139 2215,-139 3947.1135,-139 3947.1135,-139 3947.1135,-139 3947.1135,-151.8975 3947.1135,-151.8975"/>
<polygon fill="#000000" stroke="#000000" points="3943.6136,-151.8974 3947.1135,-161.8975 3950.6136,-151.8975 3943.6136,-151.8974"/>
</g>
<!-- BaseUrlService -->
<g id="node58" class="node">
<title>BaseUrlService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="2064" cy="-104" rx="71.7621" ry="18"/>
<text text-anchor="middle" x="2064" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">BaseUrlService</text>
</g>
<!-- BaseUrlService&#45;&gt;CoreModule -->
<g id="edge57" class="edge">
<title>BaseUrlService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M2064,-122C2064,-131 2064,-140 2064,-140 2064,-140 3945.0686,-140 3945.0686,-140 3945.0686,-140 3945.0686,-151.8726 3945.0686,-151.8726"/>
<polygon fill="#000000" stroke="#000000" points="3941.5686,-151.8725 3945.0686,-161.8726 3948.5686,-151.8726 3941.5686,-151.8725"/>
</g>
<!-- DateInterceptor -->
<g id="node59" class="node">
<title>DateInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1903" cy="-104" rx="71.7447" ry="18"/>
<text text-anchor="middle" x="1903" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DateInterceptor</text>
</g>
<!-- DateInterceptor&#45;&gt;CoreModule -->
<g id="edge58" class="edge">
<title>DateInterceptor&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1903,-122.0664C1903,-131.4587 1903,-141 1903,-141 1903,-141 3943.0236,-141 3943.0236,-141 3943.0236,-141 3943.0236,-151.8701 3943.0236,-151.8701"/>
<polygon fill="#000000" stroke="#000000" points="3939.5237,-151.8701 3943.0236,-161.8701 3946.5237,-151.8701 3939.5237,-151.8701"/>
</g>
<!-- DocumentationService -->
<g id="node60" class="node">
<title>DocumentationService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1714" cy="-104" rx="99.5578" ry="18"/>
<text text-anchor="middle" x="1714" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DocumentationService</text>
</g>
<!-- DocumentationService&#45;&gt;CoreModule -->
<g id="edge59" class="edge">
<title>DocumentationService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1714,-122.1097C1714,-131.897 1714,-142 1714,-142 1714,-142 3940.9787,-142 3940.9787,-142 3940.9787,-142 3940.9787,-151.8903 3940.9787,-151.8903"/>
<polygon fill="#000000" stroke="#000000" points="3937.4788,-151.8903 3940.9787,-161.8903 3944.4788,-151.8904 3937.4788,-151.8903"/>
</g>
<!-- ErrorInterceptor -->
<g id="node61" class="node">
<title>ErrorInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1523" cy="-104" rx="73.5329" ry="18"/>
<text text-anchor="middle" x="1523" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ErrorInterceptor</text>
</g>
<!-- ErrorInterceptor&#45;&gt;CoreModule -->
<g id="edge60" class="edge">
<title>ErrorInterceptor&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1523,-122.1299C1523,-132.3145 1523,-143 1523,-143 1523,-143 3938.9337,-143 3938.9337,-143 3938.9337,-143 3938.9337,-151.9336 3938.9337,-151.9336"/>
<polygon fill="#000000" stroke="#000000" points="3935.4338,-151.9335 3938.9337,-161.9336 3942.4338,-151.9336 3935.4338,-151.9335"/>
</g>
<!-- ExternalConfigurationTranslateLoader -->
<g id="node62" class="node">
<title>ExternalConfigurationTranslateLoader</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1270" cy="-104" rx="161.3946" ry="18"/>
<text text-anchor="middle" x="1270" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ExternalConfigurationTranslateLoader</text>
</g>
<!-- ExternalConfigurationTranslateLoader&#45;&gt;CoreModule -->
<g id="edge61" class="edge">
<title>ExternalConfigurationTranslateLoader&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1270,-122.1274C1270,-132.7109 1270,-144 1270,-144 1270,-144 3936.8888,-144 3936.8888,-144 3936.8888,-144 3936.8888,-151.5782 3936.8888,-151.5782"/>
<polygon fill="#000000" stroke="#000000" points="3933.3889,-151.5781 3936.8888,-161.5782 3940.3889,-151.5782 3933.3889,-151.5781"/>
</g>
<!-- FinalizationService -->
<g id="node63" class="node">
<title>FinalizationService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1005" cy="-104" rx="86.2483" ry="18"/>
<text text-anchor="middle" x="1005" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">FinalizationService</text>
</g>
<!-- FinalizationService&#45;&gt;CoreModule -->
<g id="edge62" class="edge">
<title>FinalizationService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1005,-122.1025C1005,-133.0859 1005,-145 1005,-145 1005,-145 3934.8439,-145 3934.8439,-145 3934.8439,-145 3934.8439,-151.68 3934.8439,-151.68"/>
<polygon fill="#000000" stroke="#000000" points="3931.344,-151.6799 3934.8439,-161.68 3938.344,-151.68 3931.344,-151.6799"/>
</g>
<!-- HeaderInterceptor -->
<g id="node64" class="node">
<title>HeaderInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="820" cy="-104" rx="81.0378" ry="18"/>
<text text-anchor="middle" x="820" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HeaderInterceptor</text>
</g>
<!-- HeaderInterceptor&#45;&gt;CoreModule -->
<g id="edge63" class="edge">
<title>HeaderInterceptor&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M820,-122.0555C820,-133.439 820,-146 820,-146 820,-146 3932.7989,-146 3932.7989,-146 3932.7989,-146 3932.7989,-151.8056 3932.7989,-151.8056"/>
<polygon fill="#000000" stroke="#000000" points="3929.299,-151.8055 3932.7989,-161.8056 3936.299,-151.8056 3929.299,-151.8055"/>
</g>
<!-- HttpParameters -->
<g id="node65" class="node">
<title>HttpParameters</title>
<ellipse fill="#fdb462" stroke="#000000" cx="650" cy="-104" rx="71.1998" ry="18"/>
<text text-anchor="middle" x="650" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HttpParameters</text>
</g>
<!-- HttpParameters&#45;&gt;CoreModule -->
<g id="edge64" class="edge">
<title>HttpParameters&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M650,-122.4854C650,-134.1399 650,-147 650,-147 650,-147 3930.754,-147 3930.754,-147 3930.754,-147 3930.754,-151.9551 3930.754,-151.9551"/>
<polygon fill="#000000" stroke="#000000" points="3927.2541,-151.9551 3930.754,-161.9551 3934.2541,-151.9552 3927.2541,-151.9551"/>
</g>
<!-- LocalizationService -->
<g id="node66" class="node">
<title>LocalizationService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="473" cy="-104" rx="88.0172" ry="18"/>
<text text-anchor="middle" x="473" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">LocalizationService</text>
</g>
<!-- LocalizationService&#45;&gt;CoreModule -->
<g id="edge65" class="edge">
<title>LocalizationService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M473,-122.1505C473,-134.2708 473,-148 473,-148 473,-148 3928.7091,-148 3928.7091,-148 3928.7091,-148 3928.7091,-151.7566 3928.7091,-151.7566"/>
<polygon fill="#000000" stroke="#000000" points="3925.2092,-151.7566 3928.7091,-161.7566 3932.2092,-151.7566 3925.2092,-151.7566"/>
</g>
<!-- NoCacheInterceptor -->
<g id="node67" class="node">
<title>NoCacheInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="277" cy="-104" rx="89.1453" ry="18"/>
<text text-anchor="middle" x="277" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">NoCacheInterceptor</text>
</g>
<!-- NoCacheInterceptor&#45;&gt;CoreModule -->
<g id="edge66" class="edge">
<title>NoCacheInterceptor&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M277,-122.0439C277,-134.5633 277,-149 277,-149 277,-149 3926.6641,-149 3926.6641,-149 3926.6641,-149 3926.6641,-151.9672 3926.6641,-151.9672"/>
<polygon fill="#000000" stroke="#000000" points="3923.1642,-151.9671 3926.6641,-161.9672 3930.1642,-151.9672 3923.1642,-151.9671"/>
</g>
<!-- ProtocolService -->
<g id="node68" class="node">
<title>ProtocolService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="97" cy="-104" rx="72.9295" ry="18"/>
<text text-anchor="middle" x="97" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ProtocolService</text>
</g>
<!-- ProtocolService&#45;&gt;CoreModule -->
<g id="edge67" class="edge">
<title>ProtocolService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M97,-122.1543C97,-123.2969 97,-124 97,-124 97,-124 3967.495,-124 3967.495,-124 3967.495,-124 3967.495,-151.973 3967.495,-151.973"/>
<polygon fill="#000000" stroke="#000000" points="3963.9951,-151.973 3967.495,-161.973 3970.9951,-151.973 3963.9951,-151.973"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="container-fluid overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">3 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-cog"></span></h4>
                    <p class="card-text">35 Components</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">12 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-paper"></span></h4>
                    <p class="card-text">18 Classes</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-lock"></span></h4>
                    <p class="card-text">2 Guards</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-information-circle-outline"></span></h4>
                    <p class="card-text">18 Interfaces</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-git-branch"></span></h4>
                    <p class="card-text">
                        <a href="./routes.html">11 Routes</a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="./js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="./js/menu-wc.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
